Bug 1567193 - [abrt] intel_power_well_enable: WARNING: CPU: 1 PID: 14291 at drivers/gpu/drm/i915/intel_runtime_pm.c:707 gen9_dc_off_power_well_enable+0x202/0x240 [i915] [i915]
Summary: [abrt] intel_power_well_enable: WARNING: CPU: 1 PID: 14291 at drivers/gpu/drm...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9e3cd6c07e099635294676a3c46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:21 UTC by Mikato
Modified: 2018-05-29 11:20 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:40 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (138.04 KB, text/plain)
2018-04-13 14:21 UTC, Mikato
no flags Details

Description Mikato 2018-04-13 14:21:37 UTC
Additional info:
reporter:       libreport-2.9.1
WARNING: CPU: 1 PID: 14291 at drivers/gpu/drm/i915/intel_runtime_pm.c:707 gen9_dc_off_power_well_enable+0x202/0x240 [i915]
Modules linked in: snd_usb_audio snd_usbmidi_lib snd_rawmidi ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock cmac vmw_vmci bnep sunrpc vfat fat arc4 intel_rapl uvcvideo x86_pkg_temp_thermal videobuf2_vmalloc videobuf2_memops intel_powerclamp videobuf2_v4l2 videobuf2_core videodev coretemp ath10k_pci media kvm ath10k_core
 rtsx_usb_ms memstick snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core irqbypass snd_soc_sst_dsp snd_soc_sst_ipc crct10dif_pclmul btusb btrtl snd_soc_acpi crc32_pclmul btbcm btintel ghash_clmulni_intel mac80211 snd_soc_core intel_cstate bluetooth snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic ath intel_wmi_thunderbolt intel_uncore snd_compress iTCO_wdt snd_pcm_dmaengine ecdh_generic ac97_bus iTCO_vendor_support intel_rapl_perf snd_hda_intel cfg80211 snd_hda_codec snd_hda_core snd_hwdep ideapad_laptop snd_seq tpm_crb snd_seq_device tpm_tis mei_me snd_pcm sparse_keymap snd_timer rfkill wmi mei tpm_tis_core snd tpm acpi_pad i2c_i801 soundcore intel_pch_thermal shpchp i915 i2c_algo_bit drm_kms_helper drm r8169 crc32c_intel mii serio_raw video rtsx_usb_sdmmc mmc_core rtsx_usb
 analog gameport joydev
CPU: 1 PID: 14291 Comm: kworker/u8:11 Not tainted 4.15.15-200.fc26.x86_64 #1
Hardware name: LENOVO 80UD/Lenovo ideapad 1, BIOS 1TCN21WW(V2.02) 10/24/2016
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:gen9_dc_off_power_well_enable+0x202/0x240 [i915]
RSP: 0000:ffffb726c541fd40 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff96e8207f8000 RCX: ffffffffb0253848
RDX: ffffffffb0253848 RSI: 0000000000000082 RDI: 0000000000000202
RBP: ffff96e8207f8000 R08: 0000000000000000 R09: 000000000000002e
R10: ffffb726c541fd10 R11: 0000000000000000 R12: 0000000400000000
R13: aaaaaaaaaaaaaaab R14: 0000000000000022 R15: ffffffffb00ff40e
FS:  0000000000000000(0000) GS:ffff96e82f480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000017620a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 intel_power_well_enable+0x3b/0x50 [i915]
 __intel_display_power_get_domain+0x7b/0xa0 [i915]
 ? i915_pm_resume_early+0x20/0x20 [i915]
 intel_display_power_get+0x2e/0x40 [i915]
 intel_display_set_init_power.part.13+0x1b/0x40 [i915]
 i915_drm_resume_early+0xfb/0x180 [i915]
 dpm_run_callback+0x4d/0x130
 device_resume_early+0xc0/0x1c0
 async_resume_early+0x19/0x40
 async_run_entry_fn+0x39/0x160
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: fe ff ff 48 c7 c6 00 2d 6d c0 48 c7 c7 b6 d6 6e c0 e8 63 75 ac ee 0f 0b e9 6e fe ff ff 89 c6 48 c7 c7 48 2d 6d c0 e8 4e 75 ac ee <0f> 0b e9 86 fe ff ff 8b 41 0c e9 51 ff ff ff 8b 14 25 0c 00 00 

Potential duplicate: bug 1562823

Comment 1 Mikato 2018-04-13 14:21:50 UTC
Created attachment 1421402 [details]
File: dmesg

Comment 2 Rob Clark 2018-04-19 12:16:53 UTC
This looks like an issue with dmc firmware.  We need upstream commits:

39ccc9852e2b46964c9c44eba52db57413ba6d27 (for skl, to require v1.27) and
4f0aa1fa3e3849caee450ee5d14fcc289cf16703 (for kbl, to reqiure v1.04)

Comment 3 Fedora End Of Life 2018-05-03 07:51:54 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:20:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.